graph_id {igraph} | R Documentation

## Get the id of a graph

### Description

Graph ids are used to check that a vertex or edge sequence belongs to a graph. If you create a new graph by changing the structure of a graph, the new graph will have a new id. Changing the attributes will not change the id.

### Usage

    graph_id(x, ...)

### Arguments

`x` | A graph or a vertex sequence or an edge sequence.
`...` | Not used currently.

### Value

The id of the graph, a character scalar. For vertex and edge sequences the id of the graph they were created from.

### Examples

    g <- make_ring(10)
    graph_id(g)
    graph_id(V(g))
    graph_id(E(g))

    g2 <- g + 1
    graph_id(g2)

[Package igraph version 1.1.2 Index]